> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Accounts

> Given a customer, retrieve its accounts from a financial provider with signature.



## OpenAPI

````yaml GET /customer/accounts
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /customer/accounts:
    get:
      tags:
        - Customer
      summary: Get Client Accounts Signed
      description: >-
        Given a customer, retrieve its accounts from a financial provider with
        signature.
      operationId: get_client_accounts_signed_customer_accounts_get
      parameters:
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseSchema_ClientAccountResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResponseSchema_ClientAccountResponse_:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - $ref: '#/components/schemas/ClientAccountResponse'
            - type: 'null'
      type: object
      required:
        - message
      title: ResponseSchema[ClientAccountResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientAccountResponse:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Customer name
          examples:
            - '1234'
        dba_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dba Name
          description: DBA name
          examples:
            - '1234'
        accounts:
          items:
            $ref: '#/components/schemas/ClientAccount'
          type: array
          title: Accounts
          description: Customer accounts
      type: object
      title: ClientAccountResponse
      description: Schema to serialize the account data.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ClientAccount:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Customer account id
          examples:
            - '1234'
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          description: Customer account
          examples:
            - '1234'
        account_group:
          anyOf:
            - type: integer
            - type: 'null'
          title: Account Group
          description: Customer account group
          examples:
            - '1234'
        account_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Title
          description: Customer account title
          examples:
            - Customer account title
      type: object
      title: ClientAccount
      description: Schema to serialize the account data.

````